function  y  = exam_3_16(z)
%EXAM_3_16 分段曲线的绘制
%   z选择画哪条曲线
%   y分段函数的值
%   徐国保于2017年2月27日编写
a=input('请输入a：');
b=input('请输入b：');
c=input('请输入c：');
x=-3:0.1:3;
if z==1
    y=y1(x,a,b,c);
elseif z==2
    y=y2(x,a,b);
elseif z==3
    y=y3(x,a,b);
end
xlabel('x')
ylabel('y')
    function y=y1(x,a,b,c)
        % z=1,画ax^2+bx+c的曲线
        y=a*x.*x+b*x+c;
        plot(x,y)
        title('a*x.*x+b*x+c')

    end
    function y=y2(x,a,b)
        %z=2，画a*sin(x)+b的曲线
        y=a*sin(x)+b;
        plot(x,y)
        title('y=a*sin(x)+b')
    end
    function y=y3(x,a,b)
        %z=3，画ln|a+b/x|的曲线
        y=log(abs(a+b./x));
        plot(x,y)
        title('log(abs(a+b./x))')
    end
end

